org.apache.ignite.internal.visor.node

## Class VisorClientConnectorConfiguration

- java.lang.Object
- - org.apache.ignite.internal.visor.VisorDataTransferObject
  - - org.apache.ignite.internal.visor.node.VisorClientConnectorConfiguration

All Implemented Interfaces:
  Externalizable, Serializable

    public class VisorClientConnectorConfiguration
    extends VisorDataTransferObject

Data transfer object for client connector configuration.

See Also:
  Serialized Form

### Field Summary

### Fields inherited from class org.apache.ignite.internal.visor.VisorDataTransferObject

`V1, V2, V3`

### Constructor Summary

Constructors
Constructor and Description
`VisorClientConnectorConfiguration()` Default constructor.
`VisorClientConnectorConfiguration(ClientConnectorConfiguration cfg)` Create data transfer object for Sql connector configuration.

### Method Summary

All Methods Instance Methods Concrete Methods
`String` `getHost()`
`long` `getIdleTimeout()`
`int` `getMaxOpenCursorsPerConnection()`
`int` `getPort()`
`int` `getPortRange()`
`byte` `getProtocolVersion()`
`int` `getSocketReceiveBufferSize()`
`int` `getSocketSendBufferSize()`
`String` `getSslContextFactory()`
`int` `getThreadPoolSize()`
`boolean` `isJdbcEnabled()`
`boolean` `isOdbcEnabled()`
`boolean` `isSslClientAuth()`
`boolean` `isSslEnabled()`
`boolean` `isTcpNoDelay()`
`boolean` `isThinClientEnabled()`
`boolean` `isUseIgniteSslContextFactory()`
`protected void` `readExternalData(byte protoVer, ObjectInput in)` Load object's specific data content.
`String` `toString()`
`protected void` `writeExternalData(ObjectOutput out)` Save object's specific data content.

### Methods inherited from class org.apache.ignite.internal.visor.VisorDataTransferObject

`readExternal, toList, toSet, writeExternal`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

### Constructor Detail

#### VisorClientConnectorConfiguration

    public VisorClientConnectorConfiguration()

Default constructor.

#### VisorClientConnectorConfiguration

    public VisorClientConnectorConfiguration(ClientConnectorConfiguration cfg)

Create data transfer object for Sql connector configuration.

Parameters:
  `cfg` - Sql connector configuration.

### Method Detail

#### getHost

    @Nullable
    public String getHost()

Returns:
  Host.

#### getPort

    public int getPort()

Returns:
  Port.

#### getPortRange

    public int getPortRange()

Returns:
  Port range.

#### getMaxOpenCursorsPerConnection

    public int getMaxOpenCursorsPerConnection()

Returns:
  Maximum number of opened cursors.

#### getSocketSendBufferSize

    public int getSocketSendBufferSize()

Returns:
  Socket send buffer size in bytes.

#### getSocketReceiveBufferSize

    public int getSocketReceiveBufferSize()

Returns:
  Socket receive buffer size in bytes.

#### isTcpNoDelay

    public boolean isTcpNoDelay()

Returns:
  TCP NO_DELAY flag.

#### getThreadPoolSize

    public int getThreadPoolSize()

Returns:
  Thread pool that is in charge of processing SQL requests.

#### getIdleTimeout

    public long getIdleTimeout()

Returns:
  Idle timeout.

#### isJdbcEnabled

    public boolean isJdbcEnabled()

Returns:
  JDBC connections enabled flag.

#### isOdbcEnabled

    public boolean isOdbcEnabled()

Returns:
  ODBC connections enabled flag.

#### isThinClientEnabled

    public boolean isThinClientEnabled()

Returns:
  JDBC connections enabled flag.

#### isSslEnabled

    public boolean isSslEnabled()

Returns:
  SSL enable flag, default is disabled.

#### isUseIgniteSslContextFactory

    public boolean isUseIgniteSslContextFactory()

Returns:
  If to use SSL context factory from Ignite configuration.

#### isSslClientAuth

    public boolean isSslClientAuth()

Returns:
  SSL need client auth flag.

#### getSslContextFactory

    public String getSslContextFactory()

Returns:
  SSL connection factory.

#### getProtocolVersion

    public byte getProtocolVersion()

Overrides:
  `getProtocolVersion` in class `VisorDataTransferObject`
Returns:
  Transfer object version.

#### writeExternalData

    protected void writeExternalData(ObjectOutput out)
                              throws IOException

Save object's specific data content.

Specified by:
  `writeExternalData` in class `VisorDataTransferObject`
Parameters:
  `out` - Output object to write data content.
Throws:
  `IOException` - If I/O errors occur.

#### readExternalData

    protected void readExternalData(byte protoVer,
                                    ObjectInput in)
                             throws IOException,
                                    ClassNotFoundException

Load object's specific data content.

Specified by:
  `readExternalData` in class `VisorDataTransferObject`
Parameters:
  `protoVer` - Input object version.
  `in` - Input object to load data content.
Throws:
  `IOException` - If I/O errors occur.
  `ClassNotFoundException` - If the class for an object being restored cannot be found.

#### toString

    public String toString()

Overrides:
  `toString` in class `Object`

2018 Copyright © Apache Software Foundation

Follow @ApacheIgnite

Ignite Fabric | : ver. 2.6.0
Release Date | : July 10 2018